# wxRichTextRenderer Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextRenderer:
[legend]

## Detailed Description

This class isolates some common drawing functionality.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextRenderer ()
| Constructor.
virtual | ~wxRichTextRenderer ()
virtual bool | DrawStandardBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)=0
| Draws a standard bullet, as specified by the value of GetBulletName.
virtual bool | DrawTextBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect, const wxString &text)=0
| Draws a bullet that can be described by text, such as numbered or symbol bullets.
virtual bool | DrawBitmapBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)=0
| Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.
virtual bool | EnumerateStandardBulletNames (wxArrayString &bulletNames)=0
| Enumerate the standard bullet names currently supported.

List of all members.

## Constructor & Destructor Documentation

wxRichTextRenderer::wxRichTextRenderer | ( |  | ) | `[inline]`

Constructor.

virtual wxRichTextRenderer::~wxRichTextRenderer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool wxRichTextRenderer::DrawBitmapBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

virtual bool wxRichTextRenderer::DrawStandardBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Draws a standard bullet, as specified by the value of GetBulletName.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

virtual bool wxRichTextRenderer::DrawTextBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect,
|  | const wxString & | text |
| ) |  |  | `[pure virtual]`

Draws a bullet that can be described by text, such as numbered or symbol bullets.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

virtual bool wxRichTextRenderer::EnumerateStandardBulletNames | ( | wxArrayString & | bulletNames | ) | `[pure virtual]`

Enumerate the standard bullet names currently supported.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

|  | [ top ]